Bug 1419281 - Gnome shell with disabled animations does not show certain messages (seems like a Tweener issue)
Summary: Gnome shell with disabled animations does not show certain messages (seems li...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell-extensions
Version: 25
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Florian Müllner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-04 19:36 UTC by Vladyslav Shtabovenko
Modified: 2017-12-12 10:30 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:30:00 UTC
Type: Bug


Attachments (Terms of Use)

Description Vladyslav Shtabovenko 2017-02-04 19:36:53 UTC
I'm using Fedora 25 Workstation 64-bit with all latest updates installed.

When using Gnome shell with disabled animations, some types notifications are not displayed at all. This is very easy to reproduce:

1) Run "gnome-shell-extension-tool -c" and create a sample extension.
2) Enable your extension in Gnome Tweak Tool and restart the shell/
3) A gear icon appears in your systray. When you click on it, a pop-up "Hello world" emerges and fades out in about 2 seconds.
4) Now go to Gnome Tweak Tool and disable the animations.
5) Click on the gear icon again. Nothing happens!
6) Enable the animations and things work again.
7) This happens both with Wayland and X11

Apparently Tweener.addTween(text, ...) does not work when animations are disabled. This is clearly not how it is supposed to be. If I choose to disable animations I certainly don't want to miss some (possibly important) messages from my extensions.

Comment 1 Fedora End Of Life 2017-11-16 18:57:53 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2017-12-12 10:30:00 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.